Infrastructure: Development

Description

We need a server to develop a new instance of PUMA.

In this server should run an instance of D-Net, connected to the shared instance of mongodb.
The machine requirements are the same as node0.d.dli.research-infrastructures.eu

The name should be node0.d.newpuma.research-infrastructures.eu.

It should also have an instance of solr.

Subtasks:
Task # 2106: Install Joomla for the new PUMA portal

Closed

History

#1 - Jul 22, 2015 07:27 PM - Andrea Dell'Amico
- Status changed from New to In Progress

- % Done changed from 0 to 20

We are going to dismiss the research-infrastructures.eu domain and we are not using subzones anymore if they are not needed.

The new hostname is node0-d-puma.d4science.org with IP 146.48.122.170

#2 - Jul 22, 2015 07:43 PM - Andrea Dell'Amico

Do we know the application contexts yet? So that | can configure the reverse proxy?

#3 - Jul 23, 2015 10:03 AM - Sandro La Bruzzo

We can call "is" .

But | can't reach the machine.

#4 - Jul 23,2015 11:15 AM - Andrea Dell'’Amico

The machine is not ready yet.
Ok 'is' for the dnet instance. Can | use ‘/solr' as the /solr context?

#5 - Jul 23, 2015 07:31 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

The machine is running.

There are two tomcat instances, one listening on 8080 and the solr one listening on port 8983.
The tomcat ports are reachable from the ISTI networks.

There's an apache proxy on the port 80 open to the world.

Claudio can log in as root, while the users 'sandro.labruzzo' and 'michele.artini' can log with their ssh keys, write inside
/var/lib/tomcat_dnet/{8080,8983}/{common,webapps}, start/stop the tomcat instances, read the tomcat logs.

#6 - Jul 28, 2015 02:30 PM - Andrea Dell'Amico
- Status changed from Feedback to Closed
- % Done changed from 20 to 100

#7 - Feb 01,2016 11:19 AM - Michele Artini

It is necessary to install a Joomla portal on this machine, can you prepare it?
These are the requirements: https://docs.joomla.org/J3.x:Installing_Joomla

It is necessary also to install the solr php module (it should be distributed as a deb package)
and to add the following line to the php.ini file:

extension=solr.so
